Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange.mapi
Interface IMapiAddressEntryContainer

All Superinterfaces:
  IAddressEntryContainer, IContainer, IItem, java.io.Serializable

public interface IMapiAddressEntryContainer
extends IAddressEntryContainer

This interface provides the necessary functionality to get addresses from a MAPI address list. The container class is `container.address_entry.exchange.mapi`.

MAPI has limitations when searching an address list. The following steps are taken by the provider automatically.

1. Apply the search to the container. This may return a 'too complex' error code.
2. If the search is 'too complex', then attempt to apply the restriction when the restriction adheres to:
   - A single property Content restriction, using `Restriction.WHERE_PREFIX`.
   - A single property Value restriction, using `Restriction.EQUAL`.
   - A 'flat' AND restriction, containing only the above two types of restrictions; no subrestrictions are allowed.
3. If the restriction is NOT one of the type listed above, an Exception is thrown.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `IMapiAddressEntryContainer`.

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IAddressEntry[]` | `getEntries(QueryProfile qp)` Gets the address entries from the address container.

Methods inherited from interface com.compoze.collab.groupware.IAddressEntryContainer
`getEntries, getEntries, resolve`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    public static final ContainerClass CLASS

  The `ContainerClass` that represents an `IMapiAddressEntryContainer`.

Method Detail

### getEntries

    public IAddressEntry[] getEntries(QueryProfile qp)
                               throws CollaborationException

  Gets the address entries from the address container. NOTE that the id for the address entries from this method are NOT suitable for long term use. They are short term ids that are only valid for the life of the session.
  Specified by:
    `getEntries` in interface `IAddressEntryContainer`
  Parameters:
    `qp` - the query profile
  Returns:
    an array of address entries from the address container.
  Throws:
    `CollaborationException` - if there was an error getting the entries

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.